Security Enhanced Linux Reference Policy

# Layer: roles

## Module: dbadm

Tunables Interfaces

### Description:

Database administrator role.

### Tunables:

dbadm_manage_user_files

##### Default value

false

##### Description

Determine whether dbadm can manage generic user files.

dbadm_read_user_files

##### Default value

false

##### Description

Determine whether dbadm can read generic user files.

Return

### Interfaces:

dbadm_role_change( role )

##### Summary

Change to the database administrator role.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.

dbadm_role_change_to( role )

##### Summary

Change from the database administrator role.

##### Description

Change from the database administrator role to the specified role.

This is an interface to support third party modules and its use is not allowed in upstream reference policy.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.

Return